# FeedbackSlide

This class extends the Slide class and models a feedback slide.

```javascript
/**
 * Returns the slide Id.
 *
 * @returns {Integer}
 */
getId()

/**
 * Returns 'Feedback'
 *
 * @returns {string}
 */
getType()

/**
 * Returns true if this slide has the autoadvance enabled.
 *
 * @returns {boolean}
 */
isAutoadvance()

/**
 * Returns the defined autoadvance time.
 * @returns {Integer}
 */
getAutoadvanceTime()

/**
 * Returns a promise that will be resolved after the defined autoadvance time
 *
 * @returns {Promise}
 */
waitToAutoadvance() 

/**
 * Return true if we can go back to the previous slide.
 * For example, we can't go back before the first slide.
 *
 * @returns {boolean}
 */
canBack()

/**
 * Return true if we can go to the next slide.
 *
 * @returns {boolean}
 */
canNext() 

/**
 * Returns the back button label.
 *
 * @returns {string}
 */
getBackLabel()

/**
 * Returns the next button label.
 *
 * @returns {string}
 */
getNextLabel()

/**
 * Goes back.
 */
back()

/**
 * Goes next.
 */
next() 

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.pickzen.com/developers/sdk/documentation/feedbackslide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
